Loading...
Searching...
No Matches
ON_Localizer Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_xform.h>`

## Public Types

enum | TYPE { no_type = 0 , sphere_type = 1 , plane_type = 2 , cylinder_type = 3 , curve_type = 4 , surface_type = 5 , distance_type = 6 , force_32bit_localizer_type = 0xFFFFFFFF }

## Public Member Functions

| ON_Localizer ()
| ~ON_Localizer ()
| ON_Localizer (const ON_Localizer &)
ON_Localizer & | operator= (const ON_Localizer &)
void | Destroy ()
bool | Read (ON_BinaryArchive &)
bool | Write (ON_BinaryArchive &) const
bool | CreateCylinderLocalizer (ON_3dPoint P, ON_3dVector D, double r0, double r1)
bool | CreatePlaneLocalizer (ON_3dPoint P, ON_3dVector N, double h0, double h1)
bool | CreateSphereLocalizer (ON_3dPoint P, double r0, double r1)
double | Value (ON_3dPoint P) const
double | Value (double distance) const
bool | IsZero (const ON_BoundingBox &bbox) const

## Public Attributes

TYPE | m_type
ON_Interval | m_d
ON_3dPoint | m_P
ON_3dVector | m_V
class ON_NurbsCurve * | m_nurbs_curve
class ON_NurbsSurface * | m_nurbs_surface

## Detailed Description

Definition at line 1043 of file opennurbs_xform.h.

## Member Enumeration Documentation

## TYPE

enum ON_Localizer::TYPE

Enumerator
no_type |
sphere_type |
plane_type |
cylinder_type |
curve_type |
surface_type |
distance_type |
force_32bit_localizer_type |

Definition at line 1167 of file opennurbs_xform.h.

## Constructor & Destructor Documentation

## ON_Localizer() [1/2]

ON_Localizer::ON_Localizer | ( |  | ) |

Referenced by ON_Localizer(), and operator=().

## ~ON_Localizer()

ON_Localizer::~ON_Localizer | ( |  | ) |

## ON_Localizer() [2/2]

ON_Localizer::ON_Localizer | ( | const ON_Localizer & |  | ) |

References ON_Localizer().

## Member Function Documentation

## CreateCylinderLocalizer()

bool ON_Localizer::CreateCylinderLocalizer | ( | ON_3dPoint | P,
|  | ON_3dVector | D,
|  | double | r0,
|  | double | r1 )

## CreatePlaneLocalizer()

bool ON_Localizer::CreatePlaneLocalizer | ( | ON_3dPoint | P,
|  | ON_3dVector | N,
|  | double | h0,
|  | double | h1 )

## CreateSphereLocalizer()

bool ON_Localizer::CreateSphereLocalizer | ( | ON_3dPoint | P,
|  | double | r0,
|  | double | r1 )

## Destroy()

void ON_Localizer::Destroy | ( |  | ) |

## IsZero()

bool ON_Localizer::IsZero | ( | const ON_BoundingBox & | bbox | ) | const

## operator=()

ON_Localizer & ON_Localizer::operator= | ( | const ON_Localizer & |  | ) |

References ON_Localizer().

## Read()

bool ON_Localizer::Read | ( | ON_BinaryArchive & |  | ) |

## Value() [1/2]

double ON_Localizer::Value | ( | double | distance | ) | const

## Value() [2/2]

double ON_Localizer::Value | ( | ON_3dPoint | P | ) | const

## Write()

bool ON_Localizer::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_d

ON_Interval ON_Localizer::m_d

Definition at line 1181 of file opennurbs_xform.h.

## m_nurbs_curve

class ON_NurbsCurve* ON_Localizer::m_nurbs_curve

Definition at line 1184 of file opennurbs_xform.h.

## m_nurbs_surface

class ON_NurbsSurface* ON_Localizer::m_nurbs_surface

Definition at line 1185 of file opennurbs_xform.h.

## m_P

ON_3dPoint ON_Localizer::m_P

Definition at line 1182 of file opennurbs_xform.h.

## m_type

TYPE ON_Localizer::m_type

Definition at line 1179 of file opennurbs_xform.h.

## m_V

ON_3dVector ON_Localizer::m_V

Definition at line 1183 of file opennurbs_xform.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_xform.h